#!/bin/sh

echo -e "dmesg:\n\n" >> /tmp/bugreport.txt
dmesg >> /tmp/bugreport.txt
echo -e "\n/proc/pci:\n\n" >> /tmp/bugreport.txt
cat /proc/pci >> /tmp/bugreport.txt
echo -e "\n/proc/isapnp:\n\n" >> /tmp/bugreport.txt
cat /proc/isapnp >> /tmp/bugreport.txt
echo -e "\n/proc/bus/pci/devices:\n\n" >> /tmp/bugreport.txt
cat /proc/bus/pci/devices >> /tmp/bugreport.txt
echo -e "\n/proc/bus/isapnp/devices:\n\n" >> /tmp/bugreport.txt
cat /proc/bus/isapnp/devices >> /tmp/bugreport.txt
echo -e "\nlsmod:\n\n" >> /tmp/bugreport.txt
lsmod >> /tmp/bugreport.txt
echo -e "\n/tmp/cdMount.log\n\n" >> /tmp/bugreport.txt
cat /tmp/cdMount.log >> /tmp/bugreport.txt
echo -e "\n/tmp/cdMount.err\n\n" >> /tmp/bugreport.txt
cat /tmp/cdMount.err >> /tmp/bugreport.txt
echo -e "\n/tmp/mplayer*\n\n" >> /tmp/bugreport.txt
cat /tmp/mplayer* >> /tmp/bugreport.txt
echo -e "\n/tmp/modprobe.log\n\n" >> /tmp/bugreport.txt
cat /tmp/modprobe.log >> /tmp/bugreport.txt
echo -e "\n/tmp/modprobe.err\n\n" >> /tmp/bugreport.txt
cat /tmp/modprobe.err >> /tmp/bugreport.txt
echo -e "\n/proc/ide/h*/settings\n\n" >> /tmp/bugreport.txt
for i in /proc/ide/h* ; do echo >> /tmp/bugreport.txt && echo "$i" >> /tmp/bugreport.txt && echo >> /tmp/bugreport.txt && cat "$i/settings" >> /tmp/bugreport.txt ; done
echo -e "\nmovix.err\n\n" >> /tmp/bugreport.txt
cat /tmp/movix.err >> /tmp/bugreport.txt
modprobe vfat
mkdir /floppy
mount /dev/floppy/0   /floppy
cp /tmp/bugreport.txt /floppy
umount /floppy